import{s as C,n as N,o as $}from"../chunks/scheduler.6062bdaf.js";import{S as H,i as L,g as p,s as c,r as R,A as S,h as m,f as n,c as u,j as M,u as E,x as A,k as D,y as V,a,v as G,d as W,t as q,w as B}from"../chunks/index.4bca734e.js";import{H as F}from"../chunks/Heading.723dceba.js";function U(T){let r,h,f,w,i,v,l,I='🤗 Optimum is an extension of <a href="https://huggingface.co/docs/transformers" rel="nofollow">Transformers</a> that provides a set of performance optimization tools to train and run models on targeted hardware with maximum efficiency.',b,s,z=`The AI ecosystem evolves quickly, and more and more specialized hardware along with their own optimizations are emerging every day.
As such, Optimum enables developers to efficiently use any of these platforms with the same ease inherent to Transformers.`,x,d,O="🤗 Optimum is distributed as a collection of packages - check out the links below for an in-depth look at each one.",y,o,P='<div class="w-full flex flex-col space-y-4 md:space-y-0 md:grid md:grid-cols-3 md:gap-y-4 md:gap-x-5"><a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./habana/index"><div class="w-full text-center bg-gradient-to-br from-indigo-400 to-indigo-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Habana</div> <p class="text-gray-700">Maximize training throughput and efficiency with <span class="underline" onclick="event.preventDefault(); window.open(&#39;https://docs.habana.ai/en/latest/Gaudi_Overview/Gaudi_Architecture.html&#39;, &#39;_blank&#39;);">Habana&#39;s Gaudi processor</span></p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./intel/index"><div class="w-full text-center bg-gradient-to-br from-blue-400 to-blue-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Intel</div> <p class="text-gray-700">Optimize your model to speedup inference with <span class="underline" onclick="event.preventDefault(); window.open(&#39;https://docs.openvino.ai/latest/index.html&#39;, &#39;_blank&#39;);">OpenVINO</span> and <span class="underline" onclick="event.preventDefault(); window.open(&#39;https://www.intel.com/content/www/us/en/developer/tools/oneapi/neural-compressor.html&#39;, &#39;_blank&#39;);">Neural Compressor</span></p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="https://huggingface.co/docs/optimum-neuron/index"><div class="w-full text-center bg-gradient-to-br from-orange-400 to-orange-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">AWS Trainium/Inferentia</div> <p class="text-gray-700">Accelerate your training and inference workflows with <span class="underline" onclick="event.preventDefault(); window.open(&#39;https://aws.amazon.com/machine-learning/trainium/&#39;, &#39;_blank&#39;);">AWS Trainium</span> and <span class="underline" onclick="event.preventDefault(); window.open(&#39;https://aws.amazon.com/machine-learning/inferentia/&#39;, &#39;_blank&#39;);">AWS Inferentia</span></p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="https://github.com/huggingface/optimum-nvidia"><div class="w-full text-center bg-gradient-to-br from-green-600 to-green-600 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">NVIDIA</div> <p class="text-gray-700">Accelerate inference with NVIDIA TensorRT-LLM on the <span class="underline" onclick="event.preventDefault(); window.open(&#39;https://developer.nvidia.com/blog/nvidia-tensorrt-llm-supercharges-large-language-model-inference-on-nvidia-h100-gpus/&#39;, &#39;_blank&#39;);">NVIDIA platform</span></p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./amd/index"><div class="w-full text-center bg-gradient-to-br from-red-600 to-red-600 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">AMD</div> <p class="text-gray-700">Enable performance optimizations for <span class="underline" onclick="event.preventDefault(); window.open(&#39;https://www.amd.com/en/graphics/instinct-server-accelerators&#39;, &#39;_blank&#39;);">AMD Instinct GPUs</span> and <span class="underline" onclick="event.preventDefault(); window.open(&#39;https://ryzenai.docs.amd.com/en/latest/index.html&#39;, &#39;_blank&#39;);">AMD Ryzen AI NPUs</span></p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./furiosa/index"><div class="w-full text-center bg-gradient-to-br from-green-400 to-green-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">FuriosaAI</div> <p class="text-gray-700">Fast and efficient inference on <span class="underline" onclick="event.preventDefault(); window.open(&#39;https://www.furiosa.ai/&#39;, &#39;_blank&#39;);">FuriosaAI WARBOY</span></p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./onnxruntime/overview"><div class="w-full text-center bg-gradient-to-br from-pink-400 to-pink-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">ONNX Runtime</div> <p class="text-gray-700">Apply quantization and graph optimization to accelerate Transformers models training and inference with <span class="underline" onclick="event.preventDefault(); window.open(&#39;https://onnxruntime.ai/&#39;, &#39;_blank&#39;);">ONNX Runtime</span></p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./bettertransformer/overview"><div class="w-full text-center bg-gradient-to-br from-yellow-400 to-yellow-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">BetterTransformer</div> <p class="text-gray-700">A one-liner integration to use <span class="underline" onclick="event.preventDefault(); window.open(&#39;https://pytorch.org/blog/a-better-transformer-for-fast-transformer-encoder-inference/&#39;, &#39;_blank&#39;);">PyTorch&#39;s BetterTransformer</span> with Transformers models</p></a></div>',k,g,_;return i=new F({props:{title:"🤗 Optimum",local:"-optimum",headingTag:"h1"}}),{c(){r=p("meta"),h=c(),f=p("p"),w=c(),R(i.$$.fragment),v=c(),l=p("p"),l.innerHTML=I,b=c(),s=p("p"),s.textContent=z,x=c(),d=p("p"),d.textContent=O,y=c(),o=p("div"),o.innerHTML=P,k=c(),g=p("p"),this.h()},l(e){const t=S("svelte-u9bgzb",document.head);r=m(t,"META",{name:!0,content:!0}),t.forEach(n),h=u(e),f=m(e,"P",{}),M(f).forEach(n),w=u(e),E(i.$$.fragment,e),v=u(e),l=m(e,"P",{"data-svelte-h":!0}),A(l)!=="svelte-2e1kxa"&&(l.innerHTML=I),b=u(e),s=m(e,"P",{"data-svelte-h":!0}),A(s)!=="svelte-1199uaa"&&(s.textContent=z),x=u(e),d=m(e,"P",{"data-svelte-h":!0}),A(d)!=="svelte-u6or0s"&&(d.textContent=O),y=u(e),o=m(e,"DIV",{class:!0,"data-svelte-h":!0}),A(o)!=="svelte-1r55vdx"&&(o.innerHTML=P),k=u(e),g=m(e,"P",{}),M(g).forEach(n),this.h()},h(){D(r,"name","hf:doc:metadata"),D(r,"content",X),D(o,"class","mt-10")},m(e,t){V(document.head,r),a(e,h,t),a(e,f,t),a(e,w,t),G(i,e,t),a(e,v,t),a(e,l,t),a(e,b,t),a(e,s,t),a(e,x,t),a(e,d,t),a(e,y,t),a(e,o,t),a(e,k,t),a(e,g,t),_=!0},p:N,i(e){_||(W(i.$$.fragment,e),_=!0)},o(e){q(i.$$.fragment,e),_=!1},d(e){e&&(n(h),n(f),n(w),n(v),n(l),n(b),n(s),n(x),n(d),n(y),n(o),n(k),n(g)),n(r),B(i,e)}}}const X='{"title":"🤗 Optimum","local":"-optimum","sections":[],"depth":1}';function j(T){return $(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Q extends H{constructor(r){super(),L(this,r,j,U,C,{})}}export{Q as component};
